# Class JsPopup

java.lang.Object
org.jmol.popup.GenericPopup
jspecview.popup.JSVGenericPopup
jspecview.js2d.JsPopup

All Implemented Interfaces:
  `GenericMenuInterface`

public class JsPopup extends JSVGenericPopup

## Field Summary

### Fields inherited from class JSVGenericPopup

`dumpList, thisJsvp, UPDATE_NEVER, updateMode, vwr`

### Fields inherited from class GenericPopup

`allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

## Constructor Summary

Constructors
Constructor
Description
`JsPopup()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getImageIcon(String fileName)`
`void`
`jpiInitialize(PlatformViewer viewer, String menu)`
`void`
`menuFocusCallback(String name, String actionCommand, boolean b)`
//// run time event-driven methods
`void`
`menuShowPopup(SC popup, int x, int y)`
could be frank menu or regular context menu

### Methods inherited from class JSVGenericPopup

`appCheckItem, appFixLabel, appGetBooleanProperty, appGetMenuAsString, appRestorePopupMenu, appRunScript, appRunSpecialCheckBox, appUpdateForShow, appUpdateSpecialCheckBoxValue, getScriptForCallback, getUnknownCheckBoxScriptToRun, initialize, jpiDispose, jpiGetMenuAsObject, jpiShow, jpiUpdateComputedMenus, setEnabled, setSelected`

### Methods inherited from class GenericPopup

`addMenu, addMenuItem, addMenuItems, appCheckSpecialMenu, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuClickCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsPopup

public JsPopup()

## Method Details

### jpiInitialize

public void jpiInitialize(PlatformViewer viewer, String menu)

### menuShowPopup

public void menuShowPopup(SC popup, int x, int y)
could be frank menu or regular context menu

Specified by:
  `menuShowPopup` in class `GenericPopup`

### getImageIcon

protected Object getImageIcon(String fileName)

Specified by:
  `getImageIcon` in class `GenericPopup`

### menuFocusCallback

public void menuFocusCallback(String name, String actionCommand, boolean b)
Description copied from class: `GenericPopup`
//// run time event-driven methods

Specified by:
  `menuFocusCallback` in class `GenericPopup`